TIFFWRITERAWTILE(3tiff)

NAME
TIFFWriteRawTile - write a tile of raw data to an open TIFF file

SYNOPSIS

#include <tiffio.h>

tmsize_t TIFFWriteRawTile(TIFF *tif, uint32_t tile, void *buf, tmsize_t size)

DESCRIPTION

Append size bytes of raw data to the specified tile.

RETURN VALUES

-1 is returned if an error occurred. Otherwise, the value of size is returned.

DIAGNOSTICS

All error messages are directed to the TIFFErrorExtR() routine.

%s: File not open for writing: The file was opened for reading, not writing.

Can not write tiles to a stripped image: The image is assumed to be organized in strips because neither of the TileWidth or TileLength tags have been set with TIFFSetField().

%s: Must set "ImageWidth" before writing data: The image's width has not be set before the first write. See TIFFSetField() for information on how to do this.

%s: Must set "PlanarConfiguration" before writing data: The organization of data has not be defined before the first write. See TIFFSetField() for information on how to do this.

%s: No space for tile arrays: There was not enough space for the arrays that hold tile offsets and byte counts.

%s: Specified tile %d out of range, max %d: The specified tile is not valid according to the currently specified image dimensions.

SEE ALSO

TIFFOpen (3tiff), TIFFWriteEncodedTile (3tiff), TIFFWriteScanline (3tiff), libtiff (3tiff)

AUTHOR
LibTIFF contributors

COPYRIGHT
1988-2025, LibTIFF contributors